/
mikopbx
/
ModuleGeoIP
Обзор
Документация
Войти
/
mikopbx
/
ModuleGeoIP
Код
Запросы
0
Задачи
Вики
Пакеты
0
Релизы
0
CI/CD
Аналитика
master
Lib/RestAPI/Controllers/ApiController.php
57 строк
2 KB
Alexey Portnov
Add ModuleGeoIP implementation: REST API, UI, worker, iptables/ipset integration, CI workflow
16 мар 2026, 22:59
16 мар 2026, 22:59
a659baa
Код
Авторство
О чём код?
<?php /* * MikoPBX - free phone system for small business * Copyright © 2017-2026 Alexey Portnov and Nikolay Beketov * * This program is free software: you can redistribute it and/or modify * it under the terms of the GNU General Public License as published by * the Free Software Foundation; either version 3 of the License, or * (at your option) any later version. * * This program is distributed in the hope that it will be useful, * but WITHOUT ANY WARRANTY; without even the implied warranty of * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the * GNU General Public License for more details. * * You should have received a copy of the GNU General Public License along with this program. * If not, see <https://www.gnu.org/licenses/>. */ namespace Modules\ModuleGeoIP\Lib\RestAPI\Controllers; use MikoPBX\PBXCoreREST\Controllers\Modules\ModulesControllerBase; class ApiController extends ModulesControllerBase { /** * GET /pbxcore/api/modules/ModuleGeoIP/getList */ public function getListAction(): void { $this->callActionForModule('ModuleGeoIP', 'getList'); } /** * POST /pbxcore/api/modules/ModuleGeoIP/save */ public function saveAction(): void { $this->callActionForModule('ModuleGeoIP', 'save'); } /** * GET /pbxcore/api/modules/ModuleGeoIP/getStatus */ public function getStatusAction(): void { $this->callActionForModule('ModuleGeoIP', 'getStatus'); } /** * POST /pbxcore/api/modules/ModuleGeoIP/updateNow */ public function updateNowAction(): void { $this->callActionForModule('ModuleGeoIP', 'updateNow'); } }